## org.apache.batik.dom.svg
Interface SVGItem

All Known Implementing Classes:
  AbstractSVGItem, AbstractSVGLengthList.SVGLengthItem, AbstractSVGNumberList.SVGNumberItem, AbstractSVGTransformList.SVGTransformItem

public interface SVGItem

This interface represents an item in an SVGXXXList. The item is required to hold a reference to its parent list so that an item can be moved from one list to another. A string representation of the item is also required in order to update the value of the attribute the list containing the item represents. If the value of the item is changed, it is required to notify the list it belongs to in order to synchronized the list and the attribute the list represents.

See Also:
  `AbstractSVGList.itemChanged()`

Method Summary
`AbstractSVGList` `getParent()` Return the list the item belongs to.
`java.lang.String` `getValueAsString()` Return the String representation of the item.
`void` `setParent(AbstractSVGList list)` Associates an item to an SVGXXXList

Method Detail

### setParent

    public void setParent(AbstractSVGList list)

  Associates an item to an SVGXXXList

  Parameters:
    `list` - list the item belongs to.

### getParent

    public AbstractSVGList getParent()

  Return the list the item belongs to.

  Returns:
    list the item belongs to. This could be if the item belongs to no list.

### getValueAsString

    public java.lang.String getValueAsString()

  Return the String representation of the item.

  Returns:
    textual representation of the item to be inserted in the attribute value representing the list.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.